Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 150)
@@ -3,28 +3,31 @@
 ;------------------------------------------------------------
 ;+
-; NAME:buildcmd
-;
-; PURPOSE:cette fonction reourne un string qui contient la commande de
-; lecture et les parametres du trace.
-;
-; CATEGORY:
-;
-; CALLING SEQUENCE:
-; 
-; INPUTS:
-;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @file_comments
+; This function send back a string which contain the reading command 
+; and drawing's parameters.
+;
+; @param BASE {in}{required}
+;
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map. 
+; If BOXZOOM has : 
+;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+;   6 elements: The extraction is made on Boxzoom 
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+;
+; @keyword FORCETYPE
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @version
+; $Id$
+;
+; @todo
+; seb: documenter le param BASE et le keyword FORCETYPE
 ;
 ;-
@@ -56,6 +59,5 @@
 ;------------------------------------------------------------
 ;---------------
-; on determine quelle procedure on va etre appele pour faire le dessin
-; et le type
+; We determinate which procedure we will call to do the drawing and the type
 ;---------------
   IF keyword_set(forcetype) THEN type = forcetype $
@@ -81,5 +83,5 @@
   endcase
 ;
-;  recherche des options
+;  Search of options
 ;
   options = extractatt(top_uvalue, 'options')   
@@ -94,5 +96,5 @@
   alreadyvector = extractatt(top_uvalue, 'alreadyvector')
   alreadyover = extractatt(top_uvalue, 'alreadyoer')
-; que devons-nous lire ?
+; What must we read ?
   case 1 of
     alreadyover NE -1:BEGIN
@@ -340,14 +342,13 @@
 ;-----------------------
 ;---------------
-; determination du nom de la boxzoom 
-;---------------
+; determination of the boxzoom's name.
   if NOT keyword_set(boxzoom) then widget_control, domainid, get_value = boxzoom
-; ecriture de celle-ci sous forme d''un string
+; Writting of this one as a string
   box = '['+strtrim(boxzoom[0], 1)
   for i = 1, (n_elements(boxzoom)-1) < (3+2*(strpos(type, 'z') EQ -1)) do $
     box = box+', '+strtrim(boxzoom[i], 1)
-; pour les [plots en z, box doit avoir par defaut 0,profmax
+; For [plots in z, box must have by default 0,profmax
   if strpos(type, 'z') NE -1 then BEGIN
-; si + de 1 niveau est selectionne:
+; If more than 1 level is selected: 
     widget_control, widget_info(base, find_by_uname = 'dthlv1'), get_value = niv1
     niv1 = niv1.combobox_index
@@ -372,5 +373,5 @@
   ENDIF
 ;---------------
-; on determine typein
+; We determinate typein
 ;---------------
     IF strpos(type, ' diag ') NE -1 THEN typein = ''''+strmid(type, 0, 4)+'''' $
@@ -378,9 +379,9 @@
 ;---------------
 ;---------------
-; determination de small
+; determination of small
 ;---------------
   ssmall = tostr(smallout)
 ;------------------------------------------------------------
-; on va definir le string qui contiendra la commande a executer par widgetdessine.pro
+; We will define the string which will contain the command to be executed by widgetdessine.pro
 ;------------------------------------------------------------
   Cmd = [readCmd, procedure+ ', field $' $
@@ -395,5 +396,5 @@
 ;    print, '---------------'
 ;---------------
-; on complete et/ou actualise la structure top_uvalue...
+; We complete and/or update the structure top_uvalue...
 ;---------------
   (*top_uvalue[1, findline(top_uvalue, 'nameprocedures')])[numdessinout] = procedure
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.pro	(revision 150)
@@ -1,34 +1,45 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
-; NAME:buildreadcmd
+; 
+; @param BASE {in}{required} 
+; The id of the widget where apply the drawing.
 ;
-; PURPOSE:
+; @param SNAMEEXP {in}{required}
 ;
-; CATEGORY:
 ;
-; CALLING SEQUENCE:
+; @param PROCEDURE {in}{required}
+;
+;
+; @param TYPE {in}{required}
+;
 ; 
-; INPUTS:
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map. 
+; If BOXZOOM has : 
+;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+;   6 elements: The extraction is made on Boxzoom 
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
-; KEYWORD PARAMETERS:
+; @keyword COMPLETE
 ;
-; OUTPUTS:
+;  
+; @keyword NAMEFIELD
 ;
-; COMMON BLOCKS:common.pro
 ;
-; SIDE EFFECTS:
+; @uses
+; common.pro
+; 
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+; 
+; @version 
+; $Id$
 ;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @todo
+; seb: documenter les param et les keyword qui ne le sont pas.
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 FUNCTION buildreadcmd, base, snameexp, procedure, type, BOXZOOM = boxzoom $
                        , COMPLETE = complete, NAMEFIELD = namefield
@@ -135,6 +146,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; on va definir le string qui contiendra la commande a executer pour
-; la lecture
+; We will define the string which will contain the command to be executed for the reading.
 ;------------------------------------------------------------
     Cmd = ['; Definition of extra structure:', 'extra = '+sextra $
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefield.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefield.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefield.pro	(revision 150)
@@ -1,2 +1,47 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param BASE {in}{required}
+; The id of the widget where apply the drawing.
+;
+; @param NEWFIELDNAME
+;
+; 
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map. 
+; If BOXZOOM has : 
+;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+;   6 elements: The extraction is made on Boxzoom 
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; seb
+;
+;-
 PRO changefield, base, newfieldname, BOXZOOM = boxzoom
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefile.pro	(revision 150)
@@ -1,2 +1,54 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param BASE {in}{required}
+; The id of the widget where apply the drawing.
+;
+; @param NEWFILENAME
+;
+; 
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map. 
+; If BOXZOOM has : 
+;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+;   6 elements: The extraction is made on Boxzoom 
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; 
+; @keyword DATE1
+; 
+; @keyword DATE2
+;
+; @keyword FIELDNAME
+; 
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; seb
+;
+;-
 PRO changefile, base, newfilename, BOXZOOM = boxzoom, DATE1 = date1, DATE2 = date2, FIELDNAME = fieldname
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.pro	(revision 150)
@@ -1,2 +1,47 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param BASE {in}{required}
+; The id of the widget where apply the drawing.
+;
+; @param SMALL
+; Vector composed of 3 or 4 elements, applyed to make a drawing on a small 
+; portion of a page or screen. It delimit the zone where the drawing will 
+; be done. If there is 4 elements: then is constituated of coordinates (expressed 
+; in cm located from the up and left corner of the page or the window (in portrait 
+; like in lanscape)) of the bottom and left corner and of the up and right corner 
+; of the drawing zone. If there is 3 elements: in this case, we divide the page or 
+; the screen in small[0] columns and in small[1] lines the drawing made in the box 
+; numbered small[2]. The numerotation starting up and left by the number 1 and then, 
+; following the writing direction. By default, we make the largest drawing we can do, 
+; conserving the aspect rapport (exept when REMPLI is activated).
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; seb: je ne suis pas sur pour les param,
+; documenter le reste.
+;
+;-
 PRO createhistory, base, small
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/cutcmd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/cutcmd.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/cutcmd.pro	(revision 150)
@@ -1,2 +1,49 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param WIDCMD
+;
+;
+; @param TOREAD
+;
+;
+; @param NUMBEROFREAD
+;
+;
+; @param PREFIX
+;
+;
+; @param NAMEEXP
+;
+;
+; @param ENDING
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+; 
+; @todo
+; seb
+;
+;-
 PRO cutcmd, widcmd, toread, numberofread, prefix, nameexp, ending
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/definedefaultextra.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/definedefaultextra.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/definedefaultextra.pro	(revision 150)
@@ -1,2 +1,34 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param NOMVARIABLE
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 FUNCTION definedefaultextra, nomvariable
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/doubleclickaction.pro	(revision 150)
@@ -1,2 +1,34 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param EVENT
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 PRO doubleclickaction, event
 ;------------------------------------------------------------
@@ -6,8 +38,8 @@
    widget_control, event.id , get_uvalue = uval
    widget_control, event.top, get_uvalue = top_uvalue
-; on active la bonne fenetre 
+; We activate the right window
    widget_control, event.id, get_value = win
    wset, win
-; quel est le dessin selectionne??
+; What is the selected drawing?
    smallin = extractatt(top_uvalue, 'smallin')
    smallout = extractatt(top_uvalue, 'smallout')
@@ -17,5 +49,5 @@
    numligne = n_elements(where(findgen(smallin[1])/smallin[1] lt 1-y))-1
    numdessin = numcolonne+numligne*smallin[0]+1
-; choix du type d''action
+; Choice of the type of action.
    case uval.press of
       1:BEGIN
@@ -46,5 +78,5 @@
          inserthistory, event.top, ';', '; beginning of '+strtrim(numdessin, 2) $
           , '; end of '+strtrim(numdessin, 2)
-; remise a 0 des attributs de la uvalue concernant ce dessin:
+; Putting at 0 of attributes of the value concerning the drawing: 
 
          numdessin = numdessin-1
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/extractatt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/extractatt.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/extractatt.pro	(revision 150)
@@ -1,2 +1,37 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param TOP_UVALUE
+;
+;
+; @param NAME
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+; 
+; @todo
+; seb
+;
+;-
 FUNCTION extractatt, top_uvalue, name
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/findline.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/findline.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/findline.pro	(revision 150)
@@ -1,2 +1,37 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param TOP_UVALUE
+;
+;
+; @param NAME
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+; 
+; @todo
+; seb
+;
+;-
 FUNCTION findline, top_uvalue, name
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro	(revision 150)
@@ -1,2 +1,34 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param EVENT
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 FUNCTION identifyclick, event
 ;
@@ -7,13 +39,13 @@
    if thisEvent EQ 'WIDGET_TIMER' then press = 0 ELSE press = event.press
 ;
-;  d/0/>1 -------->t/1/0--------->**d/2/0**       long click
-;         -------->d/1/0--------->**t/2/0**  click normal
+;  d/0/>1 -------->t/1/0--------->**d/2/0**    long click
+;         -------->d/1/0--------->**t/2/0**  normal click
 ;                       --------->**d/2/>1**-------->d/3/0----->t/0/0  double click
 ;                                           -------->t/3/0----->d/0/0  double click
    type = 'inutile'
    case 1 OF
-; d/0/0 1er remonte
+; d/0/0 1er reascending
       thisEvent EQ 'WIDGET_DRAW' AND uval.click EQ 0 AND press EQ 0:
-; d/0/>1 1er appuie de la serie
+; d/0/>1 1er click of the series
       thisEvent EQ 'WIDGET_DRAW' AND uval.click EQ 0 AND press ge 1:BEGIN
          uval.x = [event.x, 0]
@@ -23,7 +55,7 @@
          widget_control, event.id, timer = .3
       END
-; d/1/0 1er remonte
+; d/1/0 1er reascending
       thisEvent EQ 'WIDGET_DRAW' AND uval.click EQ 1 AND press EQ 0:uval.click = 2
-; d/2/0 fin long click
+; d/2/0 End of the long click
       thisEvent EQ 'WIDGET_DRAW' AND uval.click EQ 2 AND press EQ 0:BEGIN
          type = 'long'
@@ -39,11 +71,11 @@
          uval.click = 3
       END
-; d/3/0 remonte et fin de double click
+; d/3/0 reascending and end of the double click
       thisEvent EQ 'WIDGET_DRAW' AND uval.click EQ 3 AND press EQ 0:uval.click = 0
-; t/0/0 fin de double click
+; t/0/0 End of the double click
       thisEvent EQ 'WIDGET_TIMER' AND uval.click EQ 0 AND press EQ 0:
 ; t/1/0 long click
       thisEvent EQ 'WIDGET_TIMER' AND uval.click EQ 1 AND press EQ 0:uval.click = 2
-; t/2/0 click normal
+; t/2/0 normal click
       thisEvent EQ 'WIDGET_TIMER' AND uval.click EQ 2 AND press EQ 0:BEGIN 
          type = 'single'
@@ -51,7 +83,7 @@
          uval.click = 0
       END
-; t/3/0 fin de double click
+; t/3/0 End of the double click
       thisEvent EQ 'WIDGET_TIMER' AND uval.click EQ 3 AND press EQ 0:uval.click = 0
-; cas normalement impossible:
+; Imposible case in theory:
       ELSE:BEGIN
          print, thisEvent, uval.click, press
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.pro	(revision 150)
@@ -1,4 +1,45 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param BASE
+;
+;
+; @param TEXT
+;
+;
+; @param LINE1
+;
+;
+; @param LINE2
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
+;-------------------------------------------------------------
 PRO inserthistory,  base, text, line1, line2
-;-------------------------------------------------------------
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/letsdraw.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/letsdraw.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/letsdraw.pro	(revision 150)
@@ -1,38 +1,30 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
-; NAME:widgetdessine
+; @file_comments 
+; It si the procedure lauching the drawing. 
+; If we do not give the command to it, it call 
+; construitcommande to know what to trace.
 ;
-; PURPOSE: c'est la procedure qui lance le dessin. Si on ne le lui
-; donne pas de commande, elle appelle construitcommande pour savoir
-; quoi tracer.
+; @categories
 ;
-; CATEGORY:
+; 
+; @param BASE {in}{required}
+; The id of the widget where apply the drawing.
+; 
+; @keyword COMMANDE
+; A string of the style: read_data('sst'...),...
 ;
-; CALLING SEQUENCE:widgetdessine, base
+; @keyword _EXTRA
+; Used to pass your keywords 
 ; 
-; INPUTS:base: l''id du widget ou appliquer le dessin
-;
-; KEYWORD PARAMETERS:
-;       COMMANDE: un string du style: read_data('sst'...),....
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;
+; @uses
+; common.pro 
+; 
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+; 
+; @version 
+; $Id$
+; 
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-
 PRO letsdraw, base, COMMANDE = commande, _extra = ex
 ;
@@ -40,5 +32,5 @@
 ;
 @common
-; on recupere la uvalue de base
+; we recuperate the uvalue of base
 ; widget_control,base, get_uvalue = top_uvalue
 ; print, '*****************'
@@ -61,14 +53,11 @@
 ;
 ;
-; on recuperel''id de la fenetre graphique associee au widget d''id base
+; we recuperate the id of the graphic associated to the widget of id base.
    graphid = extractatt(top_uvalue, 'graphid')
    widget_control, graphid, get_value = win
-; on la selectionne (c''est a elle que sera passe toutes les commandes
-; concernant une fenetre)
+; We select it (we will pass to it all commands concerning the window)
    wset, win
-;   erase, 255                       ; on netoie la fenetre
-; on s''assure que si on travaille avec un ecran codant les couleurs
-; sur 24 bits la couleur de fond specifiee!p.background est bien
-; appliquee
+;   erase, 255                       ; we clean the window
+; We make sure that, if we work with a screen coding colors on 24 bits, the specified background color !p.background is the one applied.
 ;    if !d.n_colors gt 256 then begin
 ;       device, decomposed=1
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.pro	(revision 150)
@@ -1,2 +1,37 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param MESHFILEIN
+;
+; 
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; seb
+;
+;-
 PRO loadgrid, meshfilein, _extra = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.pro	(revision 150)
@@ -1,2 +1,34 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param EVENT
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 PRO longclickaction, event
 ;
@@ -5,5 +37,5 @@
   widget_control, event.id, get_uvalue = uval
   widget_control, event.top, get_uvalue = top_uvalue
-; quel est le dessin selectionne??
+; What is the selected drawing?
   smallout = extractatt(top_uvalue, 'smallout')
   smallin = extractatt(top_uvalue, 'smallin')
@@ -32,5 +64,5 @@
   domainid = widget_info(event.top, find_by_uname = 'domain')
   boxzoom = [x, y]
-; faut-il passer la boxzoom en indexes ???
+; Do we have to pass the boxzoom in indexes ???
   currentplot = (extractatt(top_uvalue, 'smallin'))[2]-1
   options = extractatt(top_uvalue, 'options')   
@@ -40,5 +72,5 @@
   changey = (flags[where(options EQ 'Latitude / y index')])[0] EQ 1
   if changex OR changey then begin
-; on veut retrouver le type de grille qui est utilisee
+; We want to find the type of grid which is used
     currentfile = extractatt(top_uvalue, 'currentfile')
     listgrid = (*(extractatt(top_uvalue, 'fileparameters'))[currentfile]).listgrid
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/read_vermair.pro	(revision 150)
@@ -1,2 +1,59 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param NAME
+;
+;
+; @param DEBUT
+;
+;
+; @param FIN
+;
+;
+; @param NOMEXP
+;
+;
+; @keyword PARENT
+; same as DIALOG_PARENT de dialog_message.pro
+;
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map. 
+; If BOXZOOM has : 
+;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+;   6 elements: The extraction is made on Boxzoom 
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+;
+; @keyword _EXTRA
+; Used to pass your keywords 
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; seb
+; 
+;-
 FUNCTION read_vermair, name, debut, fin, nomexp, PARENT = parent, BOXZOOM=boxzoom, _EXTRA = ex
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 150)
@@ -1,2 +1,40 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param NAMEFILE
+;
+; 
+; @keyword GRID
+;
+;
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+;
+; @todo
+; seb : I don't know what to do with that...
+; 
+;-
 ;
 ;  liste des presupposes:
@@ -145,5 +183,5 @@
           time = date0fk + lindgen(jpt)
         ENDIF ELSE BEGIN 
-; on lit l''axe des temps
+; we read the time axis
           ncdf_varget, cdfid, varid, time
           time = double(time)
@@ -180,9 +218,8 @@
           ENDELSE
 ;
-; ATTENTION il faut recuperer l''attribut calendar et ajuster time en
-; consequense...
-;
-;
-; on passe time en jour julien d''idl 
+; BEWARE we have to recuperate the calendar attribute and ajust TIME by consequence...
+;
+;
+; We pass TIME in IDL julian days
 ;
           unite = strlowcase(unite)
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.pro	(revision 150)
@@ -144,4 +144,45 @@
 end
 ;*********************************************************************
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param DATAFILENAME
+;
+;
+; @param IDLFILE
+;
+;
+; @param ARGSPRO
+;
+; 
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version 
+; $Id$
+; 
+; @todo
+; seb: documenter les params
+; 
+;-
 FUNCTION selectfile, datafilename, idlfile, argspro, _extra = ex
 ;
@@ -153,9 +194,9 @@
 ;------------------------------------------------------------
 ;
-; pour recuperer les reponses possees lors de l''utilisation de ce
-; widget on cree un pointeur que l''on place dans la uvalue. Comme ca
-; une fois que le widget est detruit dans la procedure ...event.pro,
-; la variable surlaquelle pointait le pointeur (contenue ds la uvalue
-; du widget) n''est pas detruite est on peut recuperer le resultat!
+; We create a pointer in the uvalue to recuperate answers at setted 
+; questions atthe time of the use of this widget. So when the widget 
+; is deleted in the procedure ...event.pro, the variable on which the 
+; pointer pointed (contained in the uvalue of the widget) is not 
+; deleted and we can recuperate the result!
 ;
   messenger = ptr_new(/allocate_heap)
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.pro	(revision 150)
@@ -1,2 +1,34 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param EVENT
+;
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 PRO singleclickaction, event
 ;
@@ -14,8 +46,8 @@
   type = widget_info(actionid, /combobox_gettext)
   IF type NE 'plt' THEN return
-; on active la bonne fenetre 
+; We activate the right window
   widget_control, event.id, get_value = win
   wset, win
-; choix du type d''action
+; choice of the type of action
   case uval.press of
     1:BEGIN
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.pro	(revision 150)
@@ -1,6 +1,46 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param SMALL
+;
+; 
+; @keyword OUT
+;
+;
+; @keyword ERASE
+;
+;
+; @keyword FILL
+; 
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 PRO tracecadre, small, out = out, erase = erase, fill = fill
 ;------------------------------------------------------------
-; determination de la colonne et de la ligne correspondant au small en
-; entree
+; determination of the column and of the line corresponding in input to small
 ;
   compile_opt idl2, strictarrsubs
@@ -9,5 +49,5 @@
    numligne = numdessin/small[0]
    numcolonne = numdessin-numligne*small[0]
-; determination de poscadre
+; determination of poscadre
    largeurcolonne = 1./small[0]
    largeurligne = 1./small[1]
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro	(revision 148)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/updatewidget.pro	(revision 150)
@@ -1,2 +1,43 @@
+;+
+; @file_comments
+;
+;
+; @categories
+;
+; 
+; @param BASE {in}{required}
+; The id of the widget where apply the drawing.
+; 
+; @keyword NOBOXZOOM
+;
+;
+; @keyword NODATES
+;
+;
+; @keyword NOTYPE
+; 
+; 
+; @returns
+; 
+; 
+; @uses
+; 
+; 
+; @restrictions
+; 
+; 
+; @examples
+; 
+; 
+; @history
+; 
+; 
+; @version
+; $Id$ 
+; 
+; @todo
+; seb
+;
+;-
 PRO updatewidget, base, NOBOXZOOM = noboxzoom, NODATES = nodates, NOTYPE = notype
 ;----------------------------------------------------------------------
